package new_mobile_api_controllers

import (
	"github.com/astaxie/beego"
)

func CommonApiControllersRegisterRouters() {

	beego.Router("/com/api/getinspectionmajor", &CommonApiController{}, "Get:GetInspectionMajor")
	beego.Router("/com/api/getinspectionminor", &CommonApiController{}, "Get:GetInspectionMinor")
	beego.Router("/com/api/getinspectionrange", &CommonApiController{}, "Get:GetInspectionRange")
	beego.Router("/com/api/saveconfiguration", &CommonApiController{}, "Post:SaveConfiguration")
	beego.Router("com/api/getconfigurationlist", &CommonApiController{}, "Get:GetConfigurationlist")
	beego.Router("com/api/getconfigurationdetail", &CommonApiController{}, "Get:GetConfigurationDetail")
	beego.Router("com/api/getallinspectionminor", &CommonApiController{}, "Get:GetAllInspectionminor")
	beego.Router("com/api/updateconfiguration", &CommonApiController{}, "Post:UpdateConfiguration")
	beego.Router("com/api/deleteconfiguration", &CommonApiController{}, "Delete:DeleteConfiguration")
	beego.Router("com/api/getallinspectiondata", &CommonApiController{}, "Get:GetAllInspectiondata")
	beego.Router("/com/api/savecheckconfiguration", &CommonApiController{}, "Post:SaveCheckConfiguration")
	beego.Router("/com/api/getallchecklist", &CommonApiController{}, "Get:GetAllCheckList")
	beego.Router("/com/api/getcheckdetail", &CommonApiController{}, "Get:GetCheckdetail")
	beego.Router("/com/api/updatecheck", &CommonApiController{}, "Post:UpdateCheck")
	beego.Router("/com/api/deletecheck", &CommonApiController{}, "Delete:DeleteCheck")
	beego.Router("/com/api/getdialysismodetype", &CommonApiController{}, "Get:GetDialysisModeType")
	beego.Router("/com/api/gettotallapsecount", &CommonApiController{}, "Get:GetTotalLapseCount")
	beego.Router("/com/api/gettotalsexcount", &CommonApiController{}, "Get:GetTotalSexCount")
	beego.Router("/com/api/gettoalinfectiouscount", &CommonApiController{}, "Get:GetTotalInfectiouscount")
	beego.Router("/com/api/gettotalagecount", &CommonApiController{}, "Get:GetTotalAgeCount")
	beego.Router("/com/api/gettotaldialysiscount", &CommonApiController{}, "Get:GetTotalDialysisCount")
	beego.Router("/com/api/getcurentorgpatients", &CommonApiController{}, "Get:GetCurentOrgPatients")
	beego.Router("/com/api/getdialysislist", &CommonApiController{}, "Get:GetDialysislist")
}
